import { T as TableConfig } from './table-config-3820fb34.js';
import { D as DvnAppViewConfig } from './view-config-2fc2ba10.js';

class DetailViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(DetailViewConfig.prototype), json);
    model.table = TableConfig.decode(model.table);
    return model;
  }
}

export { DetailViewConfig as D };
